import { JSONOutput } from 'typedoc';
export declare function getName(decl: JSONOutput.DeclarationReflection): string;
export declare function getFileMetadata(decl: JSONOutput.DeclarationReflection): FileMetadata | null;
export interface FileMetadata {
    name: string;
    directory: string;
    line: number;
    url?: string;
}
export declare function escape(src: string): string;
export declare function parseType(t: JSONOutput.SomeType): string;
export declare function parseTypes(t: JSONOutput.SomeType): string[];
export declare function makeId(src: string, prefix?: string): string;
